Last Comment Bug 762265 - Modernize EGL extension detection, similar to GLContext's IsExtensionSupported
: Modernize EGL extension detection, similar to GLContext's IsExtensionSupported
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla16
Assigned To: Jeff Gilbert [:jgilbert]
:
: Milan Sreckovic [:milan]
Mentors:
Depends on: 762259
Blocks: 728524 758844 762263
  Show dependency treegraph
 
Reported: 2012-06-06 15:13 PDT by Jeff Gilbert [:jgilbert]
Modified: 2012-07-26 07:14 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
patch (17.71 KB, patch)
2012-06-06 15:14 PDT, Jeff Gilbert [:jgilbert]
no flags Details | Diff | Splinter Review
patch (17.99 KB, patch)
2012-06-06 15:32 PDT, Jeff Gilbert [:jgilbert]
jacob.benoit.1: review+
Details | Diff | Splinter Review
patch with nits fixed (18.29 KB, patch)
2012-06-11 16:11 PDT, Jeff Gilbert [:jgilbert]
jgilbert: review+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Jeff Gilbert [:jgilbert] 2012-06-06 15:13:57 PDT
We're going to be in EGL land on an increasing number of platforms, and working more with extensions for EGL for EGLImage, EGLSync, and hopefully eventually EGLStream.
Comment 1 Jeff Gilbert [:jgilbert] 2012-06-06 15:14:41 PDT
Created attachment 630734 [details] [diff] [review]
patch
Comment 2 Jeff Gilbert [:jgilbert] 2012-06-06 15:32:57 PDT
Created attachment 630739 [details] [diff] [review]
patch

Adds NS_ERRORs when the extensions are 'supported', but their functions are not exposed.
Comment 3 Benoit Jacob [:bjacob] (mostly away) 2012-06-11 10:49:16 PDT
Comment on attachment 630739 [details] [diff] [review]
patch

Review of attachment 630739 [details] [diff] [review]:
-----------------------------------------------------------------

::: gfx/gl/GLContext.cpp
@@ +539,5 @@
>  #else
>      const bool once = true;
>  #endif
>  
> +    mAvailableExtensions.Load(extensions, sExtensionNames, !once);

To remove the negation here and generally be more explicit, maybe you could use a |firstTime| variable here.

::: gfx/gl/GLContext.h
@@ +1568,2 @@
>          bool& operator[](size_t index) {
> +            NS_ASSERTION(index < Size, "out of range");

This should be a MOZ_ASSERT similar to bug 732607.
Comment 4 Jeff Gilbert [:jgilbert] 2012-06-11 16:11:13 PDT
Created attachment 632051 [details] [diff] [review]
patch with nits fixed

Carrying forward r+ with nit fixes.
Comment 6 Ed Morley [:emorley] 2012-06-13 05:58:46 PDT
https://hg.mozilla.org/mozilla-central/rev/27d0a3ecfe95
Comment 7 James Willcox (:snorp) (jwillcox@mozilla.com) 2012-07-24 11:27:30 PDT
Comment on attachment 632051 [details] [diff] [review]
patch with nits fixed

[Approval Request Comment]
Required by bug 728524
Comment 8 Lukas Blakk [:lsblakk] use ?needinfo 2012-07-24 12:06:37 PDT
Comment on attachment 632051 [details] [diff] [review]
patch with nits fixed

Approving supporting patches for bug 687267
Comment 9 James Willcox (:snorp) (jwillcox@mozilla.com) 2012-07-24 14:07:21 PDT
https://hg.mozilla.org/releases/mozilla-beta/rev/69b1dee11b5e

Note You need to log in before you can comment on or make changes to this bug.